version: 1
name: Build/boot duration of the Linux kernel
description: Build and QEMU boot duration of the Linux kernel with clang
jobs:
- name: arm64-defconfig
  builds:
    # build 1
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: ce21cf24c01b9353448a7f22a84e6e69cb6ddd68d11324293b3d443cbca567e2, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: ce21cf24c01b9353448a7f22a84e6e69cb6ddd68d11324293b3d443cbca567e2, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: ce21cf24c01b9353448a7f22a84e6e69cb6ddd68d11324293b3d443cbca567e2, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: ce21cf24c01b9353448a7f22a84e6e69cb6ddd68d11324293b3d443cbca567e2, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: ce21cf24c01b9353448a7f22a84e6e69cb6ddd68d11324293b3d443cbca567e2, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: ce21cf24c01b9353448a7f22a84e6e69cb6ddd68d11324293b3d443cbca567e2, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: ce21cf24c01b9353448a7f22a84e6e69cb6ddd68d11324293b3d443cbca567e2, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: ce21cf24c01b9353448a7f22a84e6e69cb6ddd68d11324293b3d443cbca567e2, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: ce21cf24c01b9353448a7f22a84e6e69cb6ddd68d11324293b3d443cbca567e2, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: ce21cf24c01b9353448a7f22a84e6e69cb6ddd68d11324293b3d443cbca567e2, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
  test:
      device: qemu-arm64
